Bug 10706 - SMB2 sendfile fallback doesn't work as expected.
SMB2 sendfile fallback doesn't work as expected.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-10 19:35 UTC by Stefan Metzmacher
Modified: 2016-03-09 07:39 UTC (History)
4 users (show)

See Also:


Attachments
git-am fix that went into master. (3.99 KB, patch)
2014-07-11 22:00 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-07-10 19:35:04 UTC
The improvements of #10298 introduced a regression.

The fallback from sendfile doesn't write the SMB2 header into the socket.
Comment 1 Jeremy Allison 2014-07-10 20:20:49 UTC
Oh :-(. How did I miss this....
Comment 2 Jeremy Allison 2014-07-11 22:00:51 UTC
Created attachment 10102 [details]
git-am fix that went into master.

Applies cleanly to 4.1.x.
Comment 3 Stefan Metzmacher 2014-07-12 16:30:26 UTC
Comment on attachment 10102 [details]
git-am fix that went into master.

Karolin, pleases use git cherry-pick -x 7c5ea400ad1f280f5c338c31a0a893154340fdb3
Comment 4 Karolin Seeger 2014-07-13 18:09:25 UTC
(In reply to comment #3)
> Comment on attachment 10102 [details]
> git-am fix that went into master.
> 
> Karolin, pleases use git cherry-pick -x
> 7c5ea400ad1f280f5c338c31a0a893154340fdb3

Pushed to autobuild-v4-1-test.
Comment 5 Stefan Metzmacher 2014-07-14 10:33:18 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Comment on attachment 10102 [details] [details]
> > git-am fix that went into master.
> > 
> > Karolin, pleases use git cherry-pick -x
> > 7c5ea400ad1f280f5c338c31a0a893154340fdb3
> 
> Pushed to autobuild-v4-1-test.

I think we also need this in 4-0-test.
Comment 6 Jeremy Allison 2014-07-14 18:58:50 UTC
Yep - Karolin, patch applies cleanly to 4.0.next. Please push.

Thanks !

Jeremy.
Comment 7 Karolin Seeger 2014-07-15 04:00:58 UTC
(In reply to comment #6)
> Yep - Karolin, patch applies cleanly to 4.0.next. Please push.
> 
> Thanks !
> 
> Jeremy.

Pushed to autobuild-v4-0-test.
Having trouble with the v4-1-test autobuild...
Comment 8 Karolin Seeger 2014-07-17 18:52:10 UTC
Pushed to both branches.
Closing out bug report.

Thanks!